[PATCH 0/1] [SRU][B/C] CVE-2019-11085: drm/i915 privilege escalation via local access

Timo Aaltonen tjaalton at ubuntu.com
Wed May 29 13:52:20 UTC 2019


https://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-11085.html

 Insufficient input validation in Kernel Mode Driver in Intel(R) i915
 Graphics for Linux before version 5.0 may allow an authenticated user to
 potentially enable escalation of privilege via local access.

Clean cherry-pick and build. I haven't been able to test it yet, but this commit is in
5.0 and there are no followup commits to it since, so it shouldn't regress anything.


Zhenyu Wang (1):
  drm/i915/gvt: Fix mmap range check

 drivers/gpu/drm/i915/gvt/kvmgt.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

-- 
2.20.1




More information about the kernel-team mailing list